%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           pbcore
Version:        0.8.0
Release:        1%{?dist}
Summary:        A Python library for reading and writing PacBio data files
Group:          Development/Languages
License:        Redistributable with license copy
URL:            https://github.com/PacificBiosciences/pbcore
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python27-devel numpy27 python27-sphinx
BuildRequires:  python27-setuptools
BuildRequires:  python27-nose
BuildRequires:  environment-modules
# the following is for testing only
BuildRequires:	h5py27-221-188 hdf5-188-gcc
Requires:	numpy27 >= 1.6.0

%description
The pbcore package provides Python APIs for interacting with PacBio data
files and writing bioinformatics applications.

%prep
%setup -q

%build
. /etc/profile.d/modules.sh
module load python
%{__python} setup.py build
make -C doc html PYTHONPATH=$(pwd)

%install
. /etc/profile.d/modules.sh
module load python
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
. /etc/profile.d/modules.sh
module load hdf5 python h5py27
PYTHONPATH=%{buildroot}%{python_sitelib}:$PYTHONPATH make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSES.txt README.md doc/_build/html
%{python_sitelib}/*


%changelog
* Mon Jan 20 2013 Josko Plazonic <plazonic@math.princeton.edu> - 0.8.0-1
- initial build
